//
// Created by zx on 2019/12/28.
//

#include "task_command_manager.h"
#include "../error.h"

Task_Base::Task_Base()
{
    m_task_type=UNKNOW_TASK;
}
Task_Base::~Task_Base()
{

}
//初始化任务单,初始任务单类型为 UNKONW_TASK
Error_manager Task_Base::init()
{
    m_task_type=UNKNOW_TASK;
    return SUCCESS;
}
//更新任务单
//task_statu: 任务状态
//statu_information:状态说明
Error_manager Task_Base::update_statu(Task_statu task_statu,std::string statu_information)
{
    m_task_statu=task_statu;
    m_task_statu_information=statu_information;
    return SUCCESS;
}
//获取任务类型
Task_type Task_Base::get_task_type()
{
    return m_task_type;
}
//获取任务单状态
Task_statu  Task_Base::get_statu()
{
    return m_task_statu;
}
//获取状态说明
std::string Task_Base::get_statu_information()
{
    return m_task_statu_information;
}

//获取 错误码
Error_manager& Task_Base::get_task_error_manager()
{
	return m_task_error_manager;
}
//设置 错误码
void Task_Base::set_task_error_manager(Error_manager & error_manager)
{
	m_task_error_manager = error_manager;
}




